--ABS-141099
ALTER TABLE DATE_YEARWEEKDAY ADD (US_DAY NUMBER(1) NULL, 
 PERIOD NUMBER(2) NULL);
 
UPDATE DATE_YEARWEEKDAY DYW
SET    DYW.US_DAY = CASE DYW.DAY
                       WHEN 7 THEN
                        1
                       ELSE
                        DYW.DAY + 1
                     END
WHERE  DYW.US_DAY IS NULL;
COMMIT;